Subject: bug#15912: Improve API of recently-added bool vector functions.

From: Daniel Colascione <[email-masked]>
Date: Sun, 17 Nov 2013 12:28:09 -0800

Thanks!

On 11/17/2013 12:17 PM, Paul Eggert wrote:
> Daniel Colascione wrote:
>
>> I ... dislike count-leading as a name: it suggests that the function
>> is useful only at the beginning of a vector. How about count-consecutive?
>
> Sounds good.  Revised patch attached.
>
>> bool-vector-count-matches is supposed to be evocative to CL's
>> count-matches, which has a similar interface.
>
> I can't find 'count-matches' in the online documentation for CL, here:

I was mistaken. (Note the original message timestamp.) Sorry about 
sending you on a wild goose chase through CLTL --- the revised patch is 
fine.